org.apache.ignite.internal.processors.odbc

## Class SqlListenerRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerRequest

Direct Known Subclasses:
  JdbcRequest, OdbcRequest

    public abstract class SqlListenerRequest
    extends Object

SQL listener command request.

### Field Summary

Fields
`static int` `HANDSHAKE` Handshake request.

### Constructor Summary

Constructors
Constructor and Description
`SqlListenerRequest()`

### Method Summary

Methods
`long` `requestId()`
`void` `requestId(long reqId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HANDSHAKE

    public static final int HANDSHAKE

Handshake request.

See Also:
  Constant Field Values

### Constructor Detail

#### SqlListenerRequest

    public SqlListenerRequest()

### Method Detail

#### requestId

    public long requestId()

Returns:
  Request ID.

#### requestId

    public void requestId(long reqId)

Parameters:
  `reqId` - Request ID.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017